/*
 * SelectionMoleculeByIdAction.hpp
 *
 *  Created on: May 12, 2010
 *      Author: heber
 */

#ifndef MOLECULEBYIDACTION_HPP_
#define MOLECULEBYIDACTION_HPP_

#include "Actions/Action.hpp"

class SelectionMoleculeByIdAction : public Action {
public:
  SelectionMoleculeByIdAction();
  virtual ~SelectionMoleculeByIdAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* MOLECULEBYIDACTION_HPP_ */
