/*
 * SelectionNotMoleculeByIdAction.hpp
 *
 *  Created on: May 12, 2010
 *      Author: heber
 */

#ifndef NOTMOLECULEBYIDACTION_HPP_
#define NOTMOLECULEBYIDACTION_HPP_

#include "Actions/Action.hpp"

class SelectionNotMoleculeByIdAction : public Action {
public:
  SelectionNotMoleculeByIdAction();
  virtual ~SelectionNotMoleculeByIdAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* NOTMOLECULEBYIDACTION_HPP_ */
